List Batch Projects
GET
/api/v1/batch/{batch_id}/projects
const url = 'https://api.totalview.energy/api/v1/batch/example/projects';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.totalview.energy/api/v1/batch/example/projects \ --header 'Authorization: Bearer <token>'List all projects in a batch with their individual statuses.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” batch_id
required
Batch Id
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Response List Batch Projects Api V1 Batch Batch Id Projects Get
Array<object>
BatchProjectStatusStatus of an individual project within a batch.
object
batch_id
required
Batch Id
string
project_id
required
Project Id
string format: uuid
project_name
required
Project Name
string
status
required
Status
string
created_at
required
Created At
string format: date-time
Example
[ { "status": "queued" }]Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}